Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.collection
Class CollectionOperator

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.collection.CollectionOperator

All Implemented Interfaces:
  BinaryOperator, Cloneable, Expression, ExpressionEvents, Serializable

Direct Known Subclasses:
  CollectionContains, CollectionContainsAll, CollectionContainsAny, ContainedIn

public abstract class CollectionOperator
extends Operator
implements BinaryOperator

A base class for all the collection operators.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.operator.BinaryOperator
`LHS_INDEX, RHS_INDEX`

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`protected` | `CollectionOperator()` Allocates a `CollectionOperator` without associating any operands.
`protected` | `CollectionOperator(Object operand1, Object operand2)` Allocates a `CollectionOperator` by associating the given operands.

Method Summary
`Object` | `getLeftHandSide()` Returns left hand side operand of this binary operator.
`Object` | `getRightHandSide()` Returns right hand side operand of this binary operator.

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.expression.Expression
`getParameterSignature`

Constructor Detail

### CollectionOperator

    protected CollectionOperator()

  Allocates a `CollectionOperator` without associating any operands.

### CollectionOperator

    protected CollectionOperator(Object operand1,
                                 Object operand2)

  Allocates a `CollectionOperator` by associating the given operands.

Parameters:
  `operand1` - An `Object`, that is given as a first operand.
  `operand2` - An `Object`, that is given as a second operand.

Method Detail

### getLeftHandSide

    public final Object getLeftHandSide()

  Description copied from interface: `BinaryOperator`
  Returns left hand side operand of this binary operator.

  Specified by:
    `getLeftHandSide` in interface `BinaryOperator`
  Returns:
    The left hand side operand.

### getRightHandSide

    public final Object getRightHandSide()

  Description copied from interface: `BinaryOperator`
  Returns right hand side operand of this binary operator.

  Specified by:
    `getRightHandSide` in interface `BinaryOperator`
  Returns:
    The left hand side operand.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved